# Uses of Class
org.jboss.classfilewriter.code.CodeLocation

Packages that use CodeLocation
Package
Description
org.jboss.classfilewriter.code

## Uses of CodeLocation in org.jboss.classfilewriter.code

Methods in org.jboss.classfilewriter.code that return CodeLocation
Modifier and Type
Method
Description
`CodeLocation`
LookupSwitchBuilder.`getDefaultLocation()`
`CodeLocation`
TableSwitchBuilder.`getDefaultLocation()`
`CodeLocation`
LookupSwitchBuilder.ValuePair.`getLocation()`
`CodeLocation`
TableSwitchBuilder.ValuePair.`getLocation()`
`CodeLocation`
CodeAttribute.`mark()`
Gets the location object for the current location in the bytecode.
Methods in org.jboss.classfilewriter.code with parameters of type CodeLocation
Modifier and Type
Method
Description
`LookupSwitchBuilder`
LookupSwitchBuilder.`add(int value, CodeLocation location)`
Adds a value to the table
`TableSwitchBuilder`
TableSwitchBuilder.`add(CodeLocation location)`
Adds a value to the table
`void`
CodeAttribute.`gotoInstruction(CodeLocation location)`
writes a goto instruction.
`void`
CodeAttribute.`ifAcmpeq(CodeLocation location)`
`void`
CodeAttribute.`ifAcmpne(CodeLocation location)`
`void`
CodeAttribute.`ifEq(CodeLocation location)`
`void`
CodeAttribute.`ifge(CodeLocation location)`
`void`
CodeAttribute.`ifgt(CodeLocation location)`
`void`
CodeAttribute.`ifIcmpeq(CodeLocation location)`
`void`
CodeAttribute.`ifIcmpge(CodeLocation location)`
`void`
CodeAttribute.`ifIcmpgt(CodeLocation location)`
`void`
CodeAttribute.`ifIcmple(CodeLocation location)`
`void`
CodeAttribute.`ifIcmplt(CodeLocation location)`
`void`
CodeAttribute.`ifIcmpne(CodeLocation location)`
`void`
CodeAttribute.`ifle(CodeLocation location)`
`void`
CodeAttribute.`iflt(CodeLocation location)`
`void`
CodeAttribute.`ifne(CodeLocation location)`
`void`
CodeAttribute.`ifnotnull(CodeLocation location)`
`void`
CodeAttribute.`ifnull(CodeLocation location)`
Jump to the given location if the reference type on the top of the stack is null
Constructors in org.jboss.classfilewriter.code with parameters of type CodeLocation
Modifier
Constructor
Description
``
`LookupSwitchBuilder(CodeLocation defaultLocation)`
Builds a lookup switch statement, specifying the default location
``
`TableSwitchBuilder(CodeLocation defaultLocation, int low, int high)`
Builds a lookup switch statement, specifying the default location
``
`ValuePair(int value, CodeLocation location)`
``
`ValuePair(CodeLocation location)`